Ads
Select the Meta ad account to advertise from
Saves the ad account, Page and optional Instagram account the company advertises from, replacing any previous pick. Each id is checked against a live read of what the Meta token can see, and the name, currency and time zone come from Meta. Requires a company admin with company_settings.update.
PUT
/
api
/
v202506
/
company
/
ads
/
meta
/
ad-account
Select the Meta ad account to advertise from
curl --request PUT \
--url https://api.fluid.app/api/v202506/company/ads/meta/ad-account \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ad_account_id": "act_1029384756",
"page_id": "104877219035512",
"instagram_account_id": "17841400008460056"
}
'import requests
url = "https://api.fluid.app/api/v202506/company/ads/meta/ad-account"
payload = {
"ad_account_id": "act_1029384756",
"page_id": "104877219035512",
"instagram_account_id": "17841400008460056"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ad_account_id: 'act_1029384756',
page_id: '104877219035512',
instagram_account_id: '17841400008460056'
})
};
fetch('https://api.fluid.app/api/v202506/company/ads/meta/ad-account', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/v202506/company/ads/meta/ad-account",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'ad_account_id' => 'act_1029384756',
'page_id' => '104877219035512',
'instagram_account_id' => '17841400008460056'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/v202506/company/ads/meta/ad-account"
payload := strings.NewReader("{\n \"ad_account_id\": \"act_1029384756\",\n \"page_id\": \"104877219035512\",\n \"instagram_account_id\": \"17841400008460056\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.fluid.app/api/v202506/company/ads/meta/ad-account")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"ad_account_id\": \"act_1029384756\",\n \"page_id\": \"104877219035512\",\n \"instagram_account_id\": \"17841400008460056\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/v202506/company/ads/meta/ad-account")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"ad_account_id\": \"act_1029384756\",\n \"page_id\": \"104877219035512\",\n \"instagram_account_id\": \"17841400008460056\"\n}"
response = http.request(request)
puts response.read_body{
"ad_account": {
"id": "01923f4a-7c2e-7b91-a5d3-6e8f0b4c2a17",
"provider": "meta",
"ad_account_id": "act_1029384756",
"name": "Dunder Mifflin Paper Company",
"currency": "USD",
"time_zone": "America/New_York",
"meta_page_id": "104877219035512",
"meta_instagram_account_id": "17841400008460056",
"connection_status": "connected",
"created_at": "2026-10-22T15:04:11Z"
},
"status": 200,
"meta": {
"request_id": "3f9b6c1e-2d4a-4e8b-9a71-5c0d8e2f7b14",
"timestamp": "2026-10-22T15:04:11Z"
}
}{
"message": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"pagination": {
"cursor": "<string>",
"limit": 123,
"prev_cursor": "<string>",
"next_cursor": "<string>",
"total_count": 123
}
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"pagination": {
"cursor": "<string>",
"limit": 123,
"prev_cursor": "<string>",
"next_cursor": "<string>",
"total_count": 123
}
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"pagination": {
"cursor": "<string>",
"limit": 123,
"prev_cursor": "<string>",
"next_cursor": "<string>",
"total_count": 123
}
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"pagination": {
"cursor": "<string>",
"limit": 123,
"prev_cursor": "<string>",
"next_cursor": "<string>",
"total_count": 123
}
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"pagination": {
"cursor": "<string>",
"limit": 123,
"prev_cursor": "<string>",
"next_cursor": "<string>",
"total_count": 123
}
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"pagination": {
"cursor": "<string>",
"limit": 123,
"prev_cursor": "<string>",
"next_cursor": "<string>",
"total_count": 123
}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I
Select the Meta ad account to advertise from
curl --request PUT \
--url https://api.fluid.app/api/v202506/company/ads/meta/ad-account \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ad_account_id": "act_1029384756",
"page_id": "104877219035512",
"instagram_account_id": "17841400008460056"
}
'import requests
url = "https://api.fluid.app/api/v202506/company/ads/meta/ad-account"
payload = {
"ad_account_id": "act_1029384756",
"page_id": "104877219035512",
"instagram_account_id": "17841400008460056"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ad_account_id: 'act_1029384756',
page_id: '104877219035512',
instagram_account_id: '17841400008460056'
})
};
fetch('https://api.fluid.app/api/v202506/company/ads/meta/ad-account', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/v202506/company/ads/meta/ad-account",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'ad_account_id' => 'act_1029384756',
'page_id' => '104877219035512',
'instagram_account_id' => '17841400008460056'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/v202506/company/ads/meta/ad-account"
payload := strings.NewReader("{\n \"ad_account_id\": \"act_1029384756\",\n \"page_id\": \"104877219035512\",\n \"instagram_account_id\": \"17841400008460056\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.fluid.app/api/v202506/company/ads/meta/ad-account")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"ad_account_id\": \"act_1029384756\",\n \"page_id\": \"104877219035512\",\n \"instagram_account_id\": \"17841400008460056\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/v202506/company/ads/meta/ad-account")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"ad_account_id\": \"act_1029384756\",\n \"page_id\": \"104877219035512\",\n \"instagram_account_id\": \"17841400008460056\"\n}"
response = http.request(request)
puts response.read_body{
"ad_account": {
"id": "01923f4a-7c2e-7b91-a5d3-6e8f0b4c2a17",
"provider": "meta",
"ad_account_id": "act_1029384756",
"name": "Dunder Mifflin Paper Company",
"currency": "USD",
"time_zone": "America/New_York",
"meta_page_id": "104877219035512",
"meta_instagram_account_id": "17841400008460056",
"connection_status": "connected",
"created_at": "2026-10-22T15:04:11Z"
},
"status": 200,
"meta": {
"request_id": "3f9b6c1e-2d4a-4e8b-9a71-5c0d8e2f7b14",
"timestamp": "2026-10-22T15:04:11Z"
}
}{
"message": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"pagination": {
"cursor": "<string>",
"limit": 123,
"prev_cursor": "<string>",
"next_cursor": "<string>",
"total_count": 123
}
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"pagination": {
"cursor": "<string>",
"limit": 123,
"prev_cursor": "<string>",
"next_cursor": "<string>",
"total_count": 123
}
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"pagination": {
"cursor": "<string>",
"limit": 123,
"prev_cursor": "<string>",
"next_cursor": "<string>",
"total_count": 123
}
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"pagination": {
"cursor": "<string>",
"limit": 123,
"prev_cursor": "<string>",
"next_cursor": "<string>",
"total_count": 123
}
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"pagination": {
"cursor": "<string>",
"limit": 123,
"prev_cursor": "<string>",
"next_cursor": "<string>",
"total_count": 123
}
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"pagination": {
"cursor": "<string>",
"limit": 123,
"prev_cursor": "<string>",
"next_cursor": "<string>",
"total_count": 123
}
}
}